petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFERefine

Create a "refined" PetscFE object that refines the reference cell into smaller copies. This is typically used to precondition a higher order method with a lower order method on a refined mesh having the same number of dofs (but more sparsity). It is also used to create an interpolation between regularly refined meshes.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFERefine(PetscFE fe, PetscFE *feRef)

Collective on fem

### Input Parameter

fe -The initial PetscFE

### Output Parameter

feRef -The refined PetscFE

### See Also

PetscFEType, PetscFECreate(), PetscFESetType()

### Level

advanced

### Location

src/dm/dt/fe/interface/fe.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages